Ubikly
API Reference
API Reference
  1. API Reference
  • /api/v1/users
    GET
  • /api/v1/users/{id}
    GET
  • /api/v1/members
    GET
  • /api/v1/members/{id}
    GET
  • /api/v1/machines
    GET
  • /api/v1/machines/{id}
    GET
  • /api/v1/machine_units
    GET
  • /api/v1/machine_units/{id}
    GET
  • /api/v1/trainings
    GET
  • /api/v1/trainings/{id}
    GET
  • /api/v1/training_sessions
    GET
  • /api/v1/training_sessions/{id}
    GET
  • /api/v1/places
    GET
  • /api/v1/places/{id}
    GET
  • /api/v1/place_units
    GET
  • /api/v1/place_units/{id}
    GET
  • /api/v1/plans
    GET
  • /api/v1/plans/{id}
    GET
  • /api/v1/events
    GET
  • /api/v1/events/{id}
    GET
  • /api/v1/event_sessions
    GET
  • /api/v1/event_sessions/{id}
    GET
  • /api/v1/articles
    GET
  • /api/v1/articles/{id}
    GET
  • /api/v1/projects
    GET
  • /api/v1/projects
    POST
  • /api/v1/projects/{id}
    GET
  • /api/v1/projects/{id}
    PATCH
  • /api/v1/project_licenses
    GET
  • /api/v1/project_thematics
    GET
  • /api/v1/subscriptions
    GET
  • /api/v1/subscriptions/{id}
    GET
  • /api/v1/bookings
    GET
  • /api/v1/bookings/{id}
    GET
  • /api/v1/categories
    GET
  • /api/v1/categories/{id}
    GET
  • /api/v1/spaces
    GET
  • /api/v1/spaces/{id}
    GET
  • Schemas
    • User
    • Member
    • Machine
    • MachineUnit
    • Training
    • Place
    • PlaceUnit
    • Plan
    • Event
    • Project
    • Article
    • ArticlePageBlock
    • ProjectCreate
    • ProjectUpdate
    • ArticleWysiwygBlock
    • Subscription
    • ArticleCtaBlock
    • Booking
    • ArticleMediumBlock
    • TrainingSession
    • ArticleOneRecordFocusBlock
    • EventSession
    • ArticleMultiRecordsFocusBlock
    • ArticleFocusRecordType
    • CategoryType
    • Category
    • ArticlePageBlockImage
    • Space
    • ArticleNavNode
    • ProjectLicense
    • ProjectThematic
    • PaginationLinks
    • PaginationMeta
  1. API Reference

/api/v1/trainings/{id}

GET
/api/v1/trainings/{id}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Training
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/trainings/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "space": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        },
        "category": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        },
        "slug": "string",
        "name": "string",
        "summary": "string",
        "duration": "string",
        "goals_rendered": "string",
        "prerequisites_rendered": "string",
        "program_rendered": "string",
        "additional_info_rendered": "string",
        "image": {
            "sm": "http://example.com",
            "md": "http://example.com",
            "lg": "http://example.com"
        },
        "sku": "string",
        "trainers": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "first_name": "string",
                "last_name": "string"
            }
        ],
        "default_participation_mode": "on_site",
        "default_number_of_places": 0,
        "publication_state": "draft",
        "published_at": "2019-08-24T14:15:22.123Z",
        "pricing": "free",
        "prices_hidden": true,
        "booking_must_be_approved": true,
        "booking_outside_of_space_availabilities_allowed": true,
        "buying_blocked": true,
        "buying_cta_kind": "none",
        "buying_cta_button_label": "string",
        "buying_cta_email": "user@example.com",
        "buying_cta_url": "http://example.com",
        "buying_cta_text": {},
        "accreditations": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            }
        ],
        "required_accreditations": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            }
        ],
        "required_plans": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            }
        ],
        "soft_deleted_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-09-24 05:39:15
Previous
/api/v1/trainings
Next
/api/v1/training_sessions
Built with